renovate:
    stage: tools

    image: renovate/renovate:39.178.1

    variables:
        LOG_LEVEL: debug
        RENOVATE_BASE_BRANCHES: "master"

    script:
        - renovate $RENOVATE_EXTRA_FLAGS

    rules:
        - if: '$CI_PIPELINE_SOURCE == "schedule" && $CI_NIGHTLY == "mainline"'
